#define OS_MAIN
#include <jacos.h>
#include "\jacos\prim\prim_io.h"

OST_TASK_T task1;
OST_TASK   task2;

unsigned char counter;

__task void T_1(void)
{
  while (1) {
    counter++;
    OS_Delay(10);
  }
}

__task void T_2(void)
{
  while (1) {
    counter++;
    OS_Cooperate();
    counter++;
  }
}

void main(void)
{
  OS_Init();
  OS_Task_Create(T_1, &task1);
  OS_Task_Create(T_2, &task2);

  #include "\jacos\prim\prim_tmr.c"

  while (1) {
    OS_Scheduler();
  }
}

//__interrupt void intr(void)
#include "\jacos\prim\prim_isr.c"
{
  /*if ( OS_Is_Timer()){}*/
  OS_Timer_Tick_Set();
  OS_Timer();
}

