#define OS_MAIN
#include <jacos.h>
#include "\jacos\prim\prim_io.h"

OST_TASK_T task1;
OST_TASK   task2;

__task void T1(void)
{
  char counter;
  while (1) {
    counter++;
    OS_Delay(10);
    counter++;
  }
}

__task void T2(void)
{
  char counter;
  while (1) {
    counter++;
    OS_Cooperate();
    counter++;
  }
}

void main(void)
{
  OS_Init();
  OS_Task_Create(T1, &task1);
  OS_Task_Create(T2, &task2);

  #include "\jacos\prim\prim_tmr.c"
  OS_Dis_Int();

  while (1) {
    OS_Scheduler();
    if ( OS_Is_Timer() ) {
      OS_Timer();
      OS_Timer_Tick_Set();
    }
  }
}


